<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- IGAC proyecto SNC

@author juan.agudelo

Parámetros
@param 		objetoCNPredialParam: 	objeto del tipo Predio o PPredio que almacenara las 
                                                    partes del número predial
@param 		idParam:								id de los objetos que varia dependiendo de donde se
                                                    realice el llamado
@param 		formPIdParam:							id de la forma contenedora													

@description Pantalla de ingreso de número predial dividiendo cada componente (Departamento, Municipio, Tipo de avaluo, 
Sector, Comuna, Barrio, Manzana, Predio, Condicion de propiedad, Edificio, Piso y Unidad) 

@version 2.0	 	
@modified lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" id="#{idParam}numPredialPanelGrid"
             columns="4" width="100%">

    <script type="text/javascript"
            src="#{request.contextPath}/js/jquery.autotab-1.1b.js" />
    <script type="text/javascript">

        $(document)
                .ready(
                        function () {
                            $('##{idParam}departamentoNumPredial,'
                                    + '##{idParam}municipioNumPredial,'
                                    + '##{idParam}zonaNumPredial,'
                                    + '##{idParam}sectorNumPredial,'
                                    + '##{idParam}comunaNumPredial,'
                                    + '##{idParam}barrioNumPredial,'
                                    + '##{idParam}manzanaNumPredial,'
                                    + '##{idParam}terrenoNumPredial,'
                                    + '##{idParam}condicionPropiedadNumPredial,'
                                    + '##{idParam}edificioNumPredial,'
                                    + '##{idParam}pisoNumPredial,'
                                    + '##{idParam}unidadNumPredial')
                                    .autotab_magic().autotab_filter('numeric');
                        });
    </script>

    <script type="text/javascript">
        function funcionCambioDpto() {
            $('##{idParam}departamentoNumPredial').val(
                    $('##{idParam}departamento').val());
            $('##{idParam}municipioNumPredial')
                    .val($('##{idParam}municipio').val());
        }
    </script>



    <script type="text/javascript">
        function funcionCambioMunicipio() {
            $('##{idParam}municipioNumPredial')
                    .val(($('##{idParam}municipio').val()).substring(2, 5));
        }
    </script>


    <h:outputLabel value="No. predial:" styleClass="outputLabelStyle"
                   id="#{idParam}numeroPredialLabel" />
    <p:spacer height="0" width="18" />

    <h:panelGrid columns="13">

        <h:inputText id="#{idParam}departamentoNumPredial" disabled="#{desbloqueoPredio.banderaEjecutaBusqueda}"
                     value="#{objetoCNPredialParam.departamentoCodigo}"
                     label="departamentoNumPredial" maxlength="2" size="2"
                     title="Departamento" />

        <h:inputText id="#{idParam}municipioNumPredial" disabled="#{desbloqueoPredio.banderaEjecutaBusqueda}"
                     value="#{objetoCNPredialParam.municipioCodigo}" maxlength="3"
                     size="3" title="Municipio" />

        <h:inputText id="#{idParam}zonaNumPredial" disabled="#{desbloqueoPredio.banderaEjecutaBusqueda}"
                     value="#{objetoCNPredialParam.tipoAvaluo}" maxlength="2" size="2"
                     title="Zona" />

        <h:inputText id="#{idParam}sectorNumPredial" disabled="#{desbloqueoPredio.banderaEjecutaBusqueda}"
                     value="#{objetoCNPredialParam.sectorCodigo}" maxlength="2" size="2"
                     title="Sector" />

        <h:inputText id="#{idParam}comunaNumPredial" disabled="#{desbloqueoPredio.banderaEjecutaBusqueda}"
                     value="#{objetoCNPredialParam.comunaCodigo}" maxlength="2" size="2"
                     title="Comuna" />

        <h:inputText id="#{idParam}barrioNumPredial" disabled="#{desbloqueoPredio.banderaEjecutaBusqueda}"
                     value="#{objetoCNPredialParam.barrioCodigo}" maxlength="2" size="2"
                     title="Barrio" />

        <h:inputText id="#{idParam}manzanaNumPredial" disabled="#{desbloqueoPredio.banderaEjecutaBusqueda}"
                     value="#{objetoCNPredialParam.manzanaVeredaCodigo}" maxlength="4" size="4"
                     title="Manzana/Vereda" />

        <h:inputText id="#{idParam}terrenoNumPredial" disabled="#{desbloqueoPredio.banderaEjecutaBusqueda}"
                     value="#{objetoCNPredialParam.predio}" maxlength="4" size="4"
                     title="Terreno" />

        <h:inputText id="#{idParam}condicionPropiedadNumPredial" disabled="#{desbloqueoPredio.banderaEjecutaBusqueda}"
                     value="#{objetoCNPredialParam.condicionPropiedad}" maxlength="1"
                     size="1" title="Condición de propiedad" />

        <h:inputText id="#{idParam}edificioNumPredial" disabled="#{desbloqueoPredio.banderaEjecutaBusqueda}"
                     value="#{objetoCNPredialParam.edificio}" maxlength="2" size="2"
                     title="Edificio" />

        <h:inputText id="#{idParam}pisoNumPredial" disabled="#{desbloqueoPredio.banderaEjecutaBusqueda}"
                     value="#{objetoCNPredialParam.piso}" maxlength="2" size="2"
                     title="Piso" />

        <h:inputText id="#{idParam}unidadNumPredial" disabled="#{desbloqueoPredio.banderaEjecutaBusqueda}"
                     value="#{objetoCNPredialParam.unidad}" maxlength="4" size="4"
                     title="Unidad" />

        <p:message for="#{idParam}numeroPredialLabel" display="icon" />
    </h:panelGrid>

    <script type="text/javascript">

        if (document.getElementById('busquedaPrediosBdepartamentoNumPredial') != null) {
            document.getElementById('busquedaPrediosBdepartamentoNumPredial').readOnly = true;
        }
        if (document.getElementById('busquedaPrediosBmunicipioNumPredial') != null) {
            document.getElementById('busquedaPrediosBmunicipioNumPredial').readOnly = true;
        }
    </script>	
</h:panelGrid>
